QSTAT(1)

NAME
qstat - display job/partition information in a familiar pbs format

SYNOPSIS
qstat [-f] [-a|-i|-r] [-n [-1]] [-G|-M] [-u user_list] [-? | --help] [--man] [job_id...]

qstat -Q [-f]

qstat -q

DESCRIPTION
The qstat command displays information about jobs.

OPTIONS

-a  Displays all jobs in a single-line format. See the STANDARD OUTPUT section for format details.

-i  Displays information about idle jobs. This includes jobs which are queued or held.

-f  Displays the full information for each selected job in a multi-line format. See the STANDARD OUTPUT section for format details.

-G  Display size information in gigabytes.

-M  Show size information, disk or memory in mega-words. A word is considered to be 8 bytes.

-n  Displays nodes allocated to a job in addition to the basic information.

-1  In combination with -n, the -1 option puts all of the nodes on the same line as the job id.

-r  Displays information about running jobs. This includes jobs which are running or suspended.

-u user_list
    Display job information for all jobs owned by the specified user(s). The format of user_list is: user_name[,user_name...].

-? | --help
    brief help message

--man
    full documentation

STANDARD OUTPUT
Displaying Job Status

If the -a, -i, -f, -r, -u, -n, -G, and -M options are not specified, the brief single-line display format is used. The following items are displayed on a single line, in the specified order, separated by white space:

the job id
the job name
the job owner
the cpu time used
the job state
    C - Job is completed after having run E - Job is exiting after having run. H - Job is held. Q - job is queued, eligible to run or routed. R - job is running. T - job is being moved to new location. W - job is waiting for its execution time (-a option) to be reached. S - job is suspended.

the queue that the job is in

If the -f option is specified, the multi-line display format is used. The output for each job consists of the header line: Job Id: job identifier followed by one line per job attribute of the form: attribute_name = value

If any of the options -a, -i, -r, -u, -n, -G or -M are specified, the normal single-line display format is used. The following items are displayed on a single line, in the specified order, separated by white space:

the job id
the job owner
the queue the job is in
the job name
the session id (if the job is running)
the number of nodes requested by the job
the number of cpus or tasks requested by the job
the amount of memory requested by the job
either the cpu time, if specified, or wall time requested  by the job, (in hh:mm)
the job state
The amount of cpu time or wall time used by the job (in hh:mm)

EXIT STATUS
On success, qstat will exit with a value of zero. On failure, qstat will exit with a value greater than zero.